Skip to main content
GET
/
api
/
v0
/
companies
/
{company_id}
/
audit-log
Get company audit log.
curl --request GET \
  --url https://api.example.com/api/v0/companies/{company_id}/audit-log
{
  "items": [
    {
      "target": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "disabledAt": "2023-11-07T05:31:56Z"
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "disabledAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "github_account_name": "<string>"
    }
  ],
  "nextValue": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Query Parameters

target_users
(string<uuid> | string)[] | null

List only entries involving the user

Reference to a resource, either by id or handle (username).

actions
enum<string>[] | null

List only entries for the action

Possible actions to filter entries

Available options:
user_invited,
user_auto_joined,
user_disabled,
user_reenabled,
company_role_changed,
github_integration_added,
github_integration_removed
since
string<date-time> | null

List only entries since a point in time, defaults to all the events.

performing_users
(string<uuid> | string)[] | null

List only entries in which the user acted

Reference to a resource, either by id or handle (username).

limit
integer | null

Maximum number of entries returned (defaults to 5), limited to 100.

Required range: x >= 0
order_by
null | enum<string>

Ordering for entries, defaults to descending creation date. Ordering for the lists of findings in the auditor profile

Available options:
created_at_asc,
created_at_desc
next
string | null

Next page key.

Response

Company audit log

Pagination helper over a list of AuditLogEntry

items
object[]
required

Audit log entry.

nextValue
string | null

Use this as next argument in the next request to retrieve the next list of AuditLogEntry

If this is empty it means no more AuditLogEntry are available.